Skip to main content

Create Client

POST 

/v1/product/:product_id/client

deprecated

Create a client, requires clients:config:edit permission

Request

Path Parameters

    product_id uuidrequired

    Product ID

Body

required

    name Name (string)required

    Possible values: non-empty

    Client name

    policy_id uuidrequired

    Policy ID to use for the client

    description Description (string)required

    Client description

Responses

Successful Response

Schema

    client_id uuidrequired
    client_secret Client Secret (string)

    Client secret. Note the value of the secret is returned only when the secret is first generated or the secret is rotated.

    environment_id uuid

    Optionally scope this client to a single Environment.

    name Name (string)required

    policy

    object

    required

    policy_id uuidrequired
    name Name (string)required
    permissions string[]required
    description Description (string)required
    default_policy Default Policy (boolean)required
    client_auth_enable Client Auth Enable (boolean)

    Default value: true

    Enable Client Credential Authentication. This is recommended for services, automated processes, or third-parties.

    user_auth_enable User Auth Enable (boolean)

    Default value: true

    Enable User Authentication (e.g. Steam, Xbox, PSN, Epic, Anon, etc). This is recommended for Game Clients and first-party websites.

    refresh_token_enable Refresh Token Enable (boolean)

    Default value: true

    Enable Refresh tokens for authentications using this policy. If true, the refresh_token_lifetime_days field is used to limit how long the tokens remain valid.

    access_token_lifetime_seconds Access Token Lifetime Seconds (integer)

    Possible values: >= 600

    Default value: 600

    Access token lifetime in seconds

    refresh_token_lifetime_days Refresh Token Lifetime Days (integer)

    Possible values: >= 7

    Default value: 7

    Refresh token lifetime in days. If empty, refresh tokens will not expire.

    description Description (string)required
Loading...